libglibutil (1.0.61+20231130015529~1.gbp508e12) xenial; urgency=medium

  ** SNAPSHOT build @508e1255782e59725c25068874337e6309da04b2 **

  * UNRELEASED

 -- ubports-cn build <builder@kuailexs.com>  Thu, 30 Nov 2023 01:55:30 +0800

libglibutil (1.0.61) unstable; urgency=low

  * Added gutil_strv_remove()

 -- Slava Monich <slava.monich@jolla.com>  Thu, 25 Nov 2021 18:31:18 +0200

libglibutil (1.0.60) unstable; urgency=low

  * Housekeeping release

 -- Slava Monich <slava.monich@jolla.com>  Mon, 22 Nov 2021 23:37:14 +0200

libglibutil (1.0.58) unstable; urgency=low

  * Don't check upper bound when setting log level from the envvironment

 -- Slava Monich <slava.monich@jolla.com>  Wed, 17 Nov 2021 13:17:45 +0200

libglibutil (1.0.57) unstable; urgency=low

  * Fixed unit tests for older 32-bit systems

 -- Slava Monich <slava.monich@jolla.com>  Mon, 08 Nov 2021 02:28:37 +0200

libglibutil (1.0.56) unstable; urgency=low

  * Added gutil_parse_int64()
  * Added gutil_parse_uint64()

 -- Slava Monich <slava.monich@jolla.com>  Sun, 03 Oct 2021 20:18:15 +0300

libglibutil (1.0.55) unstable; urgency=low

  * Added gutil_log_dump()
  * Added gutil_range_init_with_bytes()
  * Added gutil_range_has_prefix()
  * Added gutil_range_skip_prefix()

 -- Slava Monich <slava.monich@jolla.com>  Sun, 23 May 2021 03:33:58 +0300

libglibutil (1.0.54) unstable; urgency=low

  * Added GUtilRange type
  * Tweaked interpretation of environment variables

 -- Slava Monich <slava.monich@jolla.com>  Mon, 17 May 2021 16:06:25 +0300

libglibutil (1.0.53) unstable; urgency=low

  * Optimized gutil_parse_int()
  * Added gutil_parse_uint()

 -- Slava Monich <slava.monich@jolla.com>  Wed, 05 May 2021 15:30:57 +0300

libglibutil (1.0.52) unstable; urgency=low

  * Added gutil_memdup()

 -- Slava Monich <slava.monich@jolla.com>  Sun, 18 Apr 2021 17:40:41 +0300

libglibutil (1.0.51) unstable; urgency=low

  * Initialize default log settings from the environment
  * Disable timestamps by default
  * Added gutil_log_tid option
  * Added gutil_ptrv_free()

 -- Slava Monich <slava.monich@jolla.com>  Thu, 25 Feb 2021 19:36:05 +0200

libglibutil (1.0.50) unstable; urgency=low

  * Added gutil_ptrv_length()

 -- Slava Monich <slava.monich@jolla.com>  Wed, 28 Oct 2020 17:59:10 +0200

libglibutil (1.0.49) unstable; urgency=low

  * Added gutil_slice_free() macro

 -- Slava Monich <slava.monich@jolla.com>  Sat, 17 Oct 2020 01:01:25 +0300

libglibutil (1.0.48) unstable; urgency=low

  * Make library executable on rpm based systems

 -- Slava Monich <slava.monich@jolla.com>  Mon, 31 Aug 2020 00:07:18 +0300

libglibutil (1.0.47) unstable; urgency=low

  * Added gutil_strv_addv()

 -- Slava Monich <slava.monich@jolla.com>  Tue, 28 Jul 2020 13:56:08 +0300

libglibutil (1.0.46) unstable; urgency=low

  * Allow STRIP to be defined by the environment

 -- Slava Monich <slava.monich@jolla.com>  Sat, 30 May 2020 00:02:35 +0300

libglibutil (1.0.45) unstable; urgency=low

  * Support for multiple archs

 -- Slava Monich <slava.monich@jolla.com>  Fri, 22 May 2020 16:11:42 +0300

libglibutil (1.0.44) unstable; urgency=low

  * Adapted to side-by-side linking
  * Allow overriding CC for unit tests

 -- Slava Monich <slava.monich@jolla.com>  Tue, 17 Mar 2020 19:01:45 +0200

libglibutil (1.0.43) unstable; urgency=low

  * Allow specifying per-module logging function
  * Added default GLogProc2 compatible callbacks

 -- Slava Monich <slava.monich@jolla.com>  Fri, 20 Dec 2019 19:31:32 +0200

libglibutil (1.0.42) unstable; urgency=low

  * Zero-initialize timespec::tv_nsec
  * Optimized gutil_strv_equal()

 -- Slava Monich <slava.monich@jolla.com>  Fri, 22 Nov 2019 00:49:13 +0200

libglibutil (1.0.41) unstable; urgency=low

  * Added gutil_bytes_equal() and gutil_bytes_equal_data()

 -- Slava Monich <slava.monich@jolla.com>  Sun, 10 Nov 2019 17:14:19 +0300

libglibutil (1.0.40) unstable; urgency=low

  * Added gutil_strv_bsearch()

 -- Slava Monich <slava.monich@jolla.com>  Mon, 16 Sep 2019 02:22:51 +0300

libglibutil (1.0.39) unstable; urgency=low

  * Allow use of CC defined by build system

 -- Slava Monich <slava.monich@jolla.com>  Tue, 27 Aug 2019 13:19:56 +0300

libglibutil (1.0.38) unstable; urgency=low

  * Added gutil_data_has_prefix() and gutil_data_has_suffix()

 -- Slava Monich <slava.monich@jolla.com>  Thu, 01 Aug 2019 00:13:32 +0300

libglibutil (1.0.37) unstable; urgency=low

  * Added gutil_bytes_concat() and gutil_bytes_xor()

 -- Slava Monich <slava.monich@jolla.com>  Tue, 23 Jul 2019 21:17:18 +0300

libglibutil (1.0.36) unstable; urgency=low

  * Handle empty log prefix as no prefix at all
  * Don't nullify default log name in gutil_log_set_type()

 -- Slava Monich <slava.monich@jolla.com>  Thu, 13 Jun 2019 18:15:33 +0300

libglibutil (1.0.35) unstable; urgency=low

  * Added gutil_strv_last() function

 -- Slava Monich <slava.monich@jolla.com>  Wed, 13 Feb 2019 19:56:31 +0300

libglibutil (1.0.34) unstable; urgency=low

  * Added a few more GUtilIdlePool functions:

    gutil_idle_pool_destroy
    gutil_idle_pool_add_bytes
    gutil_idle_pool_add_bytes_ref

 -- Slava Monich <slava.monich@jolla.com>  Wed, 07 Nov 2018 17:57:52 +0300

libglibutil (1.0.33) unstable; urgency=low

  * Added GLOG_FLAG_DISABLE flag

 -- Slava Monich <slava.monich@jolla.com>  Sat, 03 Nov 2018 11:47:25 +0300

libglibutil (1.0.32) unstable; urgency=low

  * Added gutil_idle_pool_add_strv function

 -- Slava Monich <slava.monich@jolla.com>  Sun, 14 Oct 2018 00:47:01 +0300

libglibutil (1.0.31) unstable; urgency=low

  * Added GUtilData type and functions to work with it:

    gutil_data_equal
    gutil_data_from_string
    gutil_data_from_bytes

 -- Slava Monich <slava.monich@jolla.com>  Sat, 13 Oct 2018 13:17:45 +0300

libglibutil (1.0.30) unstable; urgency=low

  * Added gutil_parse_int function

 -- Slava Monich <slava.monich@jolla.com>  Fri, 20 Jul 2018 00:06:40 +0300

libglibutil (1.0.29) unstable; urgency=low

  * Added gutil_hexdump function
  * Fixed dependencies for pkgconfig target

 -- Slava Monich <slava.monich@jolla.com>  Tue, 13 Mar 2018 19:28:46 +0300

libglibutil (1.0.28) unstable; urgency=low

  * Added gutil_idle_pool_get function

 -- Slava Monich <slava.monich@jolla.com>  Sun, 25 Feb 2018 19:58:21 +0200

libglibutil (1.0.27) unstable; urgency=low

  * GUtilIdlePool is not a GObject anymore
  * Took out glib-object.h from public headers

 -- Slava Monich <slava.monich@jolla.com>  Sun, 25 Feb 2018 13:20:49 +0200

libglibutil (1.0.26) unstable; urgency=low

  * Optimized GUtilIdleQueue

 -- Slava Monich <slava.monich@jolla.com>  Sat, 25 Nov 2017 02:16:18 +0200

libglibutil (1.0.25) unstable; urgency=low

  * Allow NULL module in gutil_log_enabled
  * Added test_log

 -- Slava Monich <slava.monich@jolla.com>  Thu, 19 Oct 2017 19:51:05 +0300

libglibutil (1.0.24) unstable; urgency=low

  * Added gutil_strv_strip function

 -- Slava Monich <slava.monich@jolla.com>  Sun, 18 Jun 2017 00:27:35 +0300

libglibutil (1.0.23) unstable; urgency=low

  * Added a few more GUtilIntArray functions

    gutil_int_array_new_from_vals
    gutil_int_array_new_from_value
    gutil_int_array_find
    gutil_int_array_contains
    gutil_int_array_remove
    gutil_int_array_remove_fast
    gutil_int_array_remove_all
    gutil_int_array_remove_all_fast

 -- Slava Monich <slava.monich@jolla.com>  Mon, 05 Jun 2017 19:01:12 +0300

libglibutil (1.0.22) unstable; urgency=low

  * Added GUtilIdleQueue

 -- Slava Monich <slava.monich@jolla.com>  Sun, 23 Apr 2017 18:07:46 +0300

libglibutil (1.0.21) unstable; urgency=low

  * Added gutil_hex2bin and gutil_hex2bytes functions

 -- Slava Monich <slava.monich@jolla.com>  Fri, 10 Mar 2017 23:36:04 +0200

libglibutil (1.0.20) unstable; urgency=low

  * Added GUtilIntHistory

 -- Slava Monich <slava.monich@jolla.com>  Thu, 02 Mar 2017 16:58:02 +0200

libglibutil (1.0.19) unstable; urgency=low

  * Added GUtilIntArray and GUtilInts

 -- Slava Monich <slava.monich@jolla.com>  Thu, 23 Feb 2017 18:37:01 +0200

libglibutil (1.0.18) unstable; urgency=low

  * Allow strings longer than 512 bytes in gutil_log_syslog

 -- Slava Monich <slava.monich@jolla.com>  Sat, 18 Feb 2017 20:30:23 +0200

libglibutil (1.0.17) unstable; urgency=low

  * Made unit tests work with glib < 2.36

 -- Slava Monich <slava.monich@jolla.com>  Fri, 06 Jan 2017 20:07:29 +0300

libglibutil (1.0.16) unstable; urgency=low

  * Switched to glib test framework

 -- Slava Monich <slava.monich@jolla.com>  Mon, 05 Dec 2016 18:07:41 +0200

libglibutil (1.0.15) unstable; urgency=low

  * Added gutil_time_notify API

 -- Slava Monich <slava.monich@jolla.com>  Mon, 28 Nov 2016 19:02:36 +0200

libglibutil (1.0.14) unstable; urgency=low

  * Another check for NULL in gutil_inotify_watch_new
  * Removed unnecessary checks from gutil_inotify_ref/undef
  * Added test_inotify

 -- Slava Monich <slava.monich@jolla.com>  Sat, 24 Sep 2016 17:30:39 +0300

libglibutil (1.0.13) unstable; urgency=low

  * Added gutil_strv_remove_at
  * Moved common test code into a reusable module
  * Added test_misc

 -- Slava Monich <slava.monich@jolla.com>  Fri, 23 Sep 2016 17:58:04 +0300

libglibutil (1.0.12) unstable; urgency=low

  * Cleaned up debian build
  * Fixed test_idlepool against glib < 2.36
  * Added gutil_ring_max_size and gutil_ring_set_max_size
  * Fixed gutil_ring_flatten behavior with empty ring buffer

 -- Slava Monich <slava.monich@jolla.com>  Wed, 07 Sep 2016 12:43:14 +0300

libglibutil (1.0.11) unstable; urgency=low

  * Moved GLOG_MODULE_DECL from gutil_log.h to gutil_types.h

 -- Slava Monich <slava.monich@jolla.com>  Sun, 10 Jul 2016 11:46:30 +0300

libglibutil (1.0.10) unstable; urgency=low

  * Fixed test_idlepool
  * Added GLOG_FLAG_HIDE_NAME and gutil_log_func2

 -- Slava Monich <slava.monich@jolla.com>  Fri, 13 May 2016 17:14:37 +0300

libglibutil (1.0.9) unstable; urgency=low

  * Added gutil_ring_drop and gutil_ring_drop_last functions

 -- Slava Monich <slava.monich@jolla.com>  Sun, 10 Apr 2016 15:20:40 +0300

libglibutil (1.0.8) unstable; urgency=low

  * Added gutil_ring API

 -- Slava Monich <slava.monich@jolla.com>  Fri, 08 Apr 2016 19:50:38 +0300

libglibutil (1.0.7) unstable; urgency=low

  * Added gutil_idle_pool API

 -- Slava Monich <slava.monich@jolla.com>  Tue, 29 Mar 2016 17:29:46 +0300

libglibutil (1.0.6) unstable; urgency=low

  * Added gutil_strv_sort function
  * Added gutil_inotify_watch API

 -- Slava Monich <slava.monich@jolla.com>  Sat, 05 Mar 2016 01:13:34 +0200

libglibutil (1.0.5) unstable; urgency=low

  * Fixed a bug gutil_disconnect_handlers

 -- Slava Monich <slava.monich@jolla.com>  Tue, 23 Feb 2016 15:00:19 +0300

libglibutil (1.0.4) unstable; urgency=low

  * Added gutil_disconnect_handlers function
  * Compiled on Windows

 -- Slava Monich <slava.monich@jolla.com>  Sat, 20 Feb 2016 22:58:23 +0300

libglibutil (1.0.3) unstable; urgency=low

  * Added GStrV type

 -- Slava Monich <slava.monich@jolla.com>  Sat, 09 Jan 2016 12:35:58 +0200

libglibutil (1.0.2) unstable; urgency=low

  * Makefile cleanup
  * Removed unnecessary CR from the assert message

 -- Slava Monich <slava.monich@jolla.com>  Thu, 24 Dec 2015 00:33:08 +0200

libglibutil (1.0.1) unstable; urgency=low

  * Use three-digit version for pkg-config

 -- Slava Monich <slava.monich@jolla.com>  Mon, 16 Nov 2015 14:01:15 +0200

libglibutil (1.0.0) unstable; urgency=low

  * Initial release

 -- Slava Monich <slava.monich@jolla.com>  Sat, 27 Dec 2014 22:36:32 +0200
